- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.ListDeltaSharingSharesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#body.aspect)
- [DeltaSharingShare](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#DeltaSharingShare)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#DeltaSharingShare.SCHEMA_REPRESENTATION)

Gets a list of Delta Sharing shares available in the upstream Delta Sharing source (e.g., SAP BDC).

### HTTP request

`GET https://biglake.googleapis.com/deltasharing/v1/{parent=projects/*/catalogs/*}/shares`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the catalog. Format: projects/{project}/catalogs/{catalog} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of shares to return. The service may return fewer than this value. If unspecified, at most 100 shares will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `shares.list` call. |

### Request body

The request body must be empty.

### Response body

Response message for the shares.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deltaSharingShares": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#DeltaSharingShare`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `deltaSharingShares[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/deltasharing.v1.projects.catalogs.shares/list#DeltaSharingShare`)`` The Delta Sharing shares from the specified catalog. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## DeltaSharingShare

Represents a Delta Sharing Share.

| JSON representation |
|---|
| ``` { "name": string, "shareId": string, "originalName": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share} Note: {delta_sharing_share} is a system-generated, user-friendly name (e.g., suitable for BigQuery), not the original upstream SAP URN. |
| `shareId` | `string` Output only. The unique identifier of the share. |
| `originalName` | `string` Output only. The original share name (e.g. native SAP URN) of the share. |